Plan Virtual Machine Check Dependent Vms
Checks if a given list of dependent VMs is valid against the current VM.
The ID of a pairing between this Site Recovery Manager server and remote one.
The ID of a recovery plan defined within current pairing.
The ID of a virtual machine.
A spec describing the dependent VMs to be checked.
{
"dependent_vms": [
{}
]
}
A list of dependent VM IDs.
Validation result.
{
"valid": false,
"issue_type": "string"
}
Whether the validation is successful or not
Dependent VMs validation issue details.
- UNKNOWN - Unknown issue
- CYCLE_DETECTED - A cycle was found in the dependency list.
- NO_PERMISSION - Missing permission to validate dependent VMs.
Bad request - the server cannot understand the request due to invalid syntax or invalid request body content
{
"error_code": "string",
"message": "string",
"op_id": "string"
}
The code of the error.
The message of the error.
The ID of the operation.
Unauthorized - the client must authenticate itself to get the requested response
Forbidden - not sufficient access rights to fulfill the request
{
"error_code": "string",
"message": "string",
"op_id": "string"
}
The code of the error.
The message of the error.
The ID of the operation.
Not Found - server cannot find the requested in URL resource
Internal server error - unexpected condition prevents fulfilling the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/pairings/{pairing_id}/recovery-management/plans/{plan_id}/vms/{vm_id}/recovery-settings/dependent-vms/actions/validate